%define oname caja-extensions

Name:           mate-file-manager-extensions
Version:        1.19.0
Release:        %mkrel 1
Summary:        MATE file manager image converter
Group:		Graphical desktop/Mate
License:        GPLv2+
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.19/%{oname}-%{version}.tar.xz
#------------------------------------------
BuildRequires:  mate-common
BuildRequires:  mate-file-manager-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gssdp-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gupnp-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: mate-desktop-devel
#-----------------------------------------------
Obsoletes: mate-file-manager-gksu < %version
Obsoletes: mate-file-manager-image-converter < %version
Obsoletes: mate-file-manager-open-terminal < %version
Obsoletes: mate-file-manager-sendto < %version
Provides: mate-file-manager-gksu = %version-%release
Provides: mate-file-manager-image-converter = %version-%release
Provides: mate-file-manager-open-terminal = %version-%release
Provides: mate-file-manager-sendto = %version-%release
#---------------------------------------------
Requires:  	mate-file-manager
Requires:	gksu
Requires:	ImageMagick

%description
Mate caja file manager extension pack.


%package devel
Summary:	Development libraries, include files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%release
Obsoletes:	mate-file-manager-sendto-devel < %version
Provides:	mate-file-manager-sendto-devel = %version-%release

%description devel
Development libraries, include files for internal library %{name}.


%prep
%setup -qn %oname-%version

%build
%configure2_5x --disable-static --with-gtk=3.0

%make

%install
rm -rf %buildroot
make DESTDIR=%{buildroot} install
%find_lang %{name} --all-name
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/caja-sendto

%{_libdir}/caja-sendto/plugins/libnstburn.so
%{_libdir}/caja-sendto/plugins/libnstemailclient.so
%{_libdir}/caja-sendto/plugins/libnstgajim.so
%{_libdir}/caja-sendto/plugins/libnstpidgin.so
%{_libdir}/caja-sendto/plugins/libnstremovable_devices.so
%{_libdir}/caja-sendto/plugins/libnstupnp.so
%{_libdir}/caja/extensions-2.0/libcaja-gksu.so
%{_libdir}/caja/extensions-2.0/libcaja-image-converter.so
%{_libdir}/caja/extensions-2.0/libcaja-open-terminal.so
%{_libdir}/caja/extensions-2.0/libcaja-sendto.so
%{_libdir}/caja/extensions-2.0/libcaja-share.so
%{_libdir}/caja/extensions-2.0/libcaja-wallpaper.so
%{_libdir}/caja/extensions-2.0/libcaja-xattr-tags.so

%{_datadir}/caja/extensions/libcaja-gksu.caja-extension
%{_datadir}/caja/extensions/libcaja-image-converter.caja-extension
%{_datadir}/caja/extensions/libcaja-open-terminal.caja-extension
%{_datadir}/caja/extensions/libcaja-sendto.caja-extension
%{_datadir}/caja/extensions/libcaja-share.caja-extension
%{_datadir}/caja/extensions/libcaja-wallpaper.caja-extension
%{_datadir}/caja-extensions/caja-image-resize.ui
%{_datadir}/caja-extensions/caja-image-rotate.ui
%{_datadir}/caja-extensions/caja-sendto.ui
%{_datadir}/caja-extensions/share-dialog.ui
%{_datadir}/glib-2.0/schemas/org.mate.Caja.Sendto.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.caja-open-terminal.gschema.xml
%{_datadir}/gtk-doc
%{_datadir}/man/man1/caja-sendto.1.bz2
%{_datadir}/caja/extensions/libcaja-xattr-tags.caja-extension

%files devel
%defattr(-,root,root,-)
%{_includedir}/caja-sendto/caja-sendto-plugin.h
%{_libdir}/pkgconfig/caja-sendto.pc


%posttrans
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas



%changelog
* Fri Oct 13 2017 threepio <threepio@web.de> 1.19.0-1uplos2017
- new version

* Fri May 12 2017 adrianomorselli <adrianomorselli> 1.18.1-1uplos2017
- update
